package org.bitbucket.bradleysmithllc.etlunit.maven;

import com.googlecode.jsonschema2pojo.AnnotationStyle;
import com.googlecode.jsonschema2pojo.DefaultGenerationConfig;
import com.googlecode.jsonschema2pojo.SourceType;

public class CustomGenerationConfig extends DefaultGenerationConfig {
	@Override
	public char[] getPropertyWordDelimiters() {
		return new char[]{'-', '_'};
	}

	@Override
	public boolean isUseLongIntegers() {
		return true;
	}

	@Override
	public boolean isIncludeHashcodeAndEquals() {
		return true;
	}

	@Override
	public boolean isIncludeToString() {
		return true;
	}

	@Override
	public AnnotationStyle getAnnotationStyle() {
		return AnnotationStyle.JACKSON2;
	}

	@Override
	public boolean isIncludeJsr303Annotations() {
		return true;
	}

	@Override
	public SourceType getSourceType() {
		return SourceType.JSONSCHEMA;
	}
}